summaryrefslogtreecommitdiffstats
path: root/shell/helm/helm-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'shell/helm/helm-install.sh')
-rwxr-xr-xshell/helm/helm-install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/shell/helm/helm-install.sh b/shell/helm/helm-install.sh
new file mode 100755
index 000000000..9fa247772
--- /dev/null
+++ b/shell/helm/helm-install.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Ensure we fail the job if any steps fail
+set -e -o pipefail
+
+echo "Installing helm ${HELM_VER}"
+mkdir /tmp/helm"${HELM_VER}"
+cd /tmp/helm"${HELM_VER}"
+wget "https://get.helm.sh/helm-v${HELM_VER}-linux-amd64.tar.gz"
+tar xvf helm-v"${HELM_VER}"-linux-amd64.tar.gz
+sudo mv linux-amd64/helm /usr/local/bin/helm"${HELM_VER}"
+which helm"${HELM_VER}"
+cd ~/
+echo "Completed install of helm ${HELM_VER}"
+